Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | List of all members
INIPlugin Class Reference
Inheritance diagram for INIPlugin:

## Public Slots
QString | name ()

## Signals
void | log (Logtype _type, QString _message)
void | log (QString _message)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from LoggingInterface
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0
Signals inherited from ScriptInterface
virtual void | scriptInfo (QString _functionWithParameters)
| Emit this signal if a scriptable function is executed. More...
virtual void | getScriptingEngine (QScriptEngine *&_engine)
virtual void | executeScript (QString _script)
virtual void | getAvailableFunctions (QStringList &_functions)

## Public Member Functions
| INIPlugin ()
| Constructor.
QString | description ()
| Return a description of what the plugin is doing. More...
QString | version ()
| Return a version string for your plugin. More...
template<>
void | parseIniFileT (INIFile &_ini, LightObject *_object)
template<>
void | saveIniFileT (INIFile &_ini, LightObject *_object)
template<class MeshObject >
void | parseIniFileT (INIFile &_ini, MeshObject *_object)
template<class MeshObject >
void | saveIniFileT (INIFile &_ini, MeshObject *_object)

## Private Slots
void | loadIniFile (INIFile &_ini, int _id)
void | saveIniFile (INIFile &_ini, int _id)
void | noguiSupported ()

## Private Member Functions
template<class Object >
void | parseIniFileT (INIFile &_ini, Object *_object)
template<class Object >
void | saveIniFileT (INIFile &_ini, Object *_object)
void | parseIniFile (INIFile &_ini, BaseObjectData *_object)
void | saveIniFile (INIFile &_ini, BaseObjectData *_object)
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual QString | name ()=0
| Return a name for the plugin. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from LoggingInterface
virtual | ~LoggingInterface ()
| Destructor.
Private Member Functions inherited from ScriptInterface
virtual | ~ScriptInterface ()
| Destructor.
virtual void | executeFileScript (QString _filename)
virtual void | getDescription (QString _function, QString &_description, QStringList &_parameters, QStringList &_descriptions)
Private Member Functions inherited from INIInterface
virtual | ~INIInterface ()
| Destructor.

## Detailed Description

Definition at line 61 of file iniPlugin.hh.

## Member Function Documentation

QString INIPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 91 of file iniPlugin.hh.

QString INIPlugin::version | ( |  | ) |
| inline virtual

Return a version string for your plugin.

This function will be used to determine the current version of your plugin. Should have the form x.x.x ( you do not need to give that many subversions )

Returns
  The version string of the plugin

Reimplemented from BaseInterface.

Definition at line 93 of file iniPlugin.hh.

The documentation for this class was generated from the following files:

- Plugin-INI/iniPlugin.hh
- Plugin-INI/iniPlugin.cc
- Plugin-INI/iniPluginT.cc